// 4Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "4.h"
#include "4Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

IPOutlookApp *polApp;
/////////////////////////////////////////////////////////////////////////////
// CMy4Dlg dialog

CMy4Dlg::CMy4Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMy4Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMy4Dlg)
	m_aa = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMy4Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMy4Dlg)
	DDX_Text(pDX, IDC_EDIT1, m_aa);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMy4Dlg, CDialog)
	//{{AFX_MSG_MAP(CMy4Dlg)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMy4Dlg message handlers

BOOL CMy4Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CenterWindow(GetDesktopWindow());	// center to the hpc screen

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}



void CMy4Dlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
  IAppointment *pAppt;
  IRecurrencePattern *pRec;
  SYSTEMTIME st;
  DATE date;

  // Call CreateItem on the Application object to add a new appointment
  m_aa="aaa";
  UpdateData(false);
  
  polApp->CreateItem (olAppointmentItem, (IDispatch**)&pAppt);

  m_aa="ccc";
  UpdateData(false);
  
  // Convert Monday, 4/5/9 at 10:00 am to a DATE 
  memset (&st, 0, sizeof (SYSTEMTIME));
  st.wMonth = 11;
  st.wDay   = 16;
  st.wYear  = 2005;
  st.wHour  = 10;
  polApp->SystemTimeToVariantTime (&st, &date);

  // Set the subject and start date
  pAppt->put_Subject (TEXT ("Recurring Appointment"));
  pAppt->put_Start (date);

  // Set the recurrence pattern
  pAppt->GetRecurrencePattern (&pRec);
  pRec->put_RecurrenceType (olRecursWeekly);
  pRec->put_DayOfWeekMask (olMonday);
  pRec->put_NoEndDate (TRUE);

  // Save the appointment
  pAppt->Save ();

  // Release objects
  pRec->Release ();
  pAppt->Release ();
}
